Bug 992944 - cannot load such file -- hashery (LoadError)
cannot load such file -- hashery (LoadError)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rubygem-hashery (Show other bugs)
20
Unspecified Unspecified
urgent Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 05:11 EDT by Miroslav Suchý
Modified: 2013-09-18 08:59 EDT (History)
1 user (show)

See Also:
Fixed In Version: rubygem-hashery-2.1.0-4.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 08:59:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2013-08-05 05:11:43 EDT
Description of problem:
Could not load hashery:

$ ruby -e 'require "hashery"'
/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:51:in `require': cannot load such file -- hashery (LoadError)
        from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:51:in `require'
        from -e:1:in `<main>'


Version-Release number of selected component (if applicable):
rubygem-hashery-2.1.0-3.fc19.noarch (same problem in rawhide)

How reproducible:
always

Steps to Reproduce:
1.  ruby -e 'require "hashery"'

Actual results:
$ ruby -e 'require "hashery"'
/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:51:in `require': cannot load such file -- hashery (LoadError)
        from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:51:in `require'
        from -e:1:in `<main>'

Expected results:
no errors

Additional info:
This is cause by missing gemspec. This patch fix the problem:
diff --git a/rubygem-hashery.spec b/rubygem-hashery.spec
index d812e9f..97aef91 100644
--- a/rubygem-hashery.spec
+++ b/rubygem-hashery.spec
@@ -45,7 +45,7 @@ Documentation for %{name}
 %doc %{gem_instdir}/NOTICE.txt
 %doc %{gem_instdir}/README.rdoc
 %exclude %{gem_cache}
-%exclude %{gem_spec}
+%{gem_spec}
 
 %files doc
 %{gem_instdir}/test
Comment 1 Marek Goldmann 2013-08-06 04:28:25 EDT
Thanks, fixed!
Comment 2 Miroslav Suchý 2013-08-19 05:57:31 EDT
This problem is is still present in F19. Please update F19 as well.
Reopening.
Comment 3 Fedora Update System 2013-09-09 05:39:54 EDT
rubygem-hashery-2.1.0-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-hashery-2.1.0-4.fc19
Comment 4 Fedora Update System 2013-09-09 19:59:47 EDT
Package rubygem-hashery-2.1.0-4.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-hashery-2.1.0-4.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16243/rubygem-hashery-2.1.0-4.fc19
then log in and leave karma (feedback).
Comment 5 Fedora End Of Life 2013-09-16 13:11:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 6 Fedora Update System 2013-09-18 08:59:42 EDT
rubygem-hashery-2.1.0-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.